<?php
/**
 * Template Name: Showcase Galeria Template
 * Description: GALERIA A Page Template that showcases Sticky Posts, Asides, and Blog Posts
 *
 * The showcase template in Twenty Eleven consists of a featured posts section using sticky posts,
 * another recent posts area (with the latest post shown in full and the rest as a list)
 * and a left sidebar holding aside posts.
 *
 * We are creating two queries to fetch the proper posts and a custom widget for the sidebar.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

// Enqueue showcase script for the slider
wp_enqueue_script( 'twentyeleven-showcase', get_template_directory_uri() . '/js/showcase.js', array( 'jquery' ), '2011-04-28' );

//--start gallery reqeriments
	//<script src="scripts/mootools.v1.11.js" type="text/javascript"></script>
	wp_enqueue_script( 'mootols', get_template_directory_uri() . '-child/scripts/mootools.v1.11.js');

	//<script src="scripts/jd.gallery.js" type="text/javascript"></script>
	wp_enqueue_script( 'jd.gallery', get_template_directory_uri() . '-child/scripts/jd.gallery.js');

	//<link rel="stylesheet" href="css/jd.gallery.css" type="text/css" media="screen" />
	//wp_enqueue_style( $handle, $src, $deps, $ver, $media )
	wp_enqueue_style( 'basico', get_template_directory_uri() . '-child/style.css');
	wp_enqueue_style( 'jd.gallerycss', get_template_directory_uri() . '-child/css/jd.gallery.css','screen');

//--end gallery requeriments

get_header(); ?>

		<div id="primary" class="showcase">
			<div id="content" role="main" >

				<?php the_post(); ?>

				<?php
					/**
					 * We are using a heading by rendering the_content
					 * If we have content for this page, let's display it.
					 */
					if ( '' != get_the_content() )
						get_template_part( 'content', 'intro' );
				?>

				<section class="recent-posts" >
					<h1 class="showcase-heading"><?php _e( 'Últimas Fotografías', 'twentyeleven' ); ?></h1>

					<?php

					// Display our recent posts, showing full content for the very latest.
					$recent_args = array(
						'order' => 'DESC'
						,'nopaging' => 'true'
						,'posts_per_page' =>'-1' 
					);

					// Our new query for the Recent Posts section.
					$recent = new WP_Query( $recent_args );
					//echo '<ol class="other-recent-posts">';

				    echo '<div id="myGallery">';

					// For all other recent posts, just display the title and comment status.
					$cont=0;
					while ( $recent->have_posts() ) : $recent->the_post();

						if ( has_post_thumbnail()) {
						//<!-- Call gallery http://smoothgallery.jondesign.net/getting-started/ -->
						echo "\n";
						//echo '<!-- id='.$cont.'-->';
						echo '<div class="imageElement">';
						echo '<h3>';echo the_title(); echo '</h3>';
						echo '<p>';echo the_category(', '); echo '</p>';
						echo '<a href="';echo the_permalink(); echo '" title="Cargar post" class="open"></a>';
						//<!--echo "\t\n<img src='$undirFotos/$unArchivo' class='full' />";-->
						//<!--<?php the_post_thumbnail('thumbnail', array('class' => 'alignleft'));? >-->
						echo the_post_thumbnail('large', array('class' => 'full'));
						echo the_post_thumbnail('thumbnail', array('class' => 'thumbnail'));
						echo '</div><!-- class="imageElement">-->';echo "\n";
						}
						else{
							//echo "\n<!--";echo '<br />No thumbnail id=';echo $cont; echo ':link:<a href="';echo the_permalink(); echo '">';echo the_title();echo '</a> -->';
							echo "\n <!-- No thumbnail -->";
							//$posts_no_thumb[$cont]="<!--<br />No thumbnail id='".$cont.'":link:<a href="'.the_permalink().'">'.the_title().'</a>';
							$posts_no_thumb[$cont]="<!-- <br />No thumbnail id='".$cont.'":link: --><a href="'.get_permalink().'">'.get_the_title().'</a>';

						$cont=$cont+1;
						}
						
					?>
					<?php
					endwhile;

					// If we had some posts, close the <ol>
					if ( $recent->post_count > 0 )
						//echo '</ol>';
						echo '</div><!--end myGallery-->';
					?>

				</section><!-- .recent-posts -->
					<!-- Call gallery http://smoothgallery.jondesign.net/getting-started/ -->
					<script type="text/javascript">
					function startGallery() {
					var myGallery = new gallery($('myGallery'), {
					timed: false,embedLinks: false,showCarousel: true
					});
					}
					window.addEvent('domready', startGallery);
					</script>

				<!-- Start posts withouth thumbnails-->
					<?php 
						//get_template_part( 'content', get_post_format() );
						if(!$posts_no_thumb){
						}
						else{
							echo '<section class="recent-posts" >';
							echo '<h1 class="showcase-heading">'; php_e( 'Otros posts', 'twentyeleven' ); echo '</h1>';
							echo '<!-- no thumbnails--><ol class="other-recent-posts">';
							foreach ($posts_no_thumb as $apost){
								echo '<li>';echo $apost;echo '</li>';
							}
							echo '</ol>';
						}
						
					?>
				</section>
				<!-- End posts withouth thumbnails -->

				<div class="widget-area" role="complementary">
					<?php if ( ! dynamic_sidebar( 'sidebar-2' ) ) : ?>

						<?php
						the_widget( 'Twenty_Eleven_Ephemera_Widget', '', array( 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>' ) );
						?>

					<?php endif; // end sidebar widget area ?>
				</div><!-- .widget-area -->

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_footer(); ?>
