<?php
/**
 * Template Name: Showcase Galeria Asíncrona Template
 * Description: GALERIA Asíncrona A Page Template that showcases Sticky Posts, Asides, and Blog Posts
 *
 * The showcase template in Twenty Eleven consists of a featured posts section using sticky posts,
 * another recent posts area (with the latest post shown in full and the rest as a list)
 * and a left sidebar holding aside posts.
 *
 * We are creating two queries to fetch the proper posts and a custom widget for the sidebar.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

// Enqueue showcase script for the slider
wp_enqueue_script( 'twentyeleven-showcase', get_template_directory_uri() . '/js/showcase.js', array( 'jquery' ), '2011-04-28' );

//--start gallery reqeriments

	//http://galleria.aino.se/
	wp_enqueue_script( 'galleria', get_template_directory_uri() . '-child/galleria/galleria-1.2.4.js');
	wp_enqueue_script( 'galleria-theme', get_template_directory_uri() . '-child/galleria/themes/classic/galleria.classic.min.js');
	wp_enqueue_style( 'basico', get_template_directory_uri() . '-child/style.css');

//--end gallery requeriments

get_header(); ?>

		<div id="primary" class="showcase">
			<div id="content" role="main" >

				<?php the_post(); ?>

				<?php
					/**
					 * We are using a heading by rendering the_content
					 * If we have content for this page, let's display it.
					 */
					if ( '' != get_the_content() )
						get_template_part( 'content', 'intro' );
				?>

				<section class="recent-posts" >
					<h1 class="showcase-heading"><?php _e( 'Últimas Fotografías', 'twentyeleven' ); ?></h1>



					<?php

					// Display our recent posts, showing full content for the very latest.
					$recent_args = array(
						'order' => 'DESC'
						,'nopaging' => 'true'
						,'posts_per_page' =>'-1' 
					);

					// Our new query for the Recent Posts section.
					$recent = new WP_Query( $recent_args );
					//echo '<ol class="other-recent-posts">';

				    echo '<div id="gallery"></div><div>';

					// For all other recent posts, just display the title and comment status.
					$cont=0;
				echo '<script>jQuery.noConflict();  var data = [';
					while ( $recent->have_posts() ) : $recent->the_post();

						if ( has_post_thumbnail()) {
						//<!-- Call gallery http://smoothgallery.jondesign.net/getting-started/ -->
						echo "\n";
						//echo '<!-- id='.$cont.'-->';
						if($cont>0){echo ', ';}
						echo '{';

						$attachment_id = get_post_thumbnail_id($post->ID);
						$thumbnail_object=wp_get_attachment_image_src( $attachment_id);
						//echo "\n/*";print_r ($thumbnail_object); echo "*/";

						echo "thumb:'";echo $thumbnail_object[0];//echo wp_get_attachment_thumb_file();
						$large_url=wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large');
						echo "', image:'";echo $large_url[0];
						//echo "', big:'";echo $large_url[0];
						echo "',title:'";echo get_the_title();
						echo "',description:'";echo the_tags();//$large_url[2];//echo get_the_category(', ');
						echo "',link:'";echo get_permalink();
						echo "'}";


						}
						else{
							//echo "\n<!--";echo '<br />No thumbnail id=';echo $cont; echo ':link:<a href="';echo the_permalink(); echo '">';echo the_title();echo '</a> -->';
							echo "\n <!-- No thumbnail -->";
							//$posts_no_thumb[$cont]="<!--<br />No thumbnail id='".$cont.'":link:<a href="'.the_permalink().'">'.the_title().'</a>';
							$posts_no_thumb[$cont]="<!-- <br />No thumbnail id='".$cont.'":link: --><a href="'.get_permalink().'">'.get_the_title().'</a>';

						
						}
						$cont=$cont+1;
		
					?>
					<?php
					endwhile;
				echo "];jQuery('#container').galleria({data_source: data});
				</script>";				
				echo '<noscript><ol class="other-recent-posts">';
					while ( $recent->have_posts() ) : $recent->the_post();
						echo '<li><a href="'.get_permalink().'">'.get_the_title().'</a></li>';
					endwhile;
				echo '</ol></noscript>';
					// If we had some posts, close the <ol>
					if ( $recent->post_count > 0 )
						//echo '</ol>';
						echo '</div><!--end myGallery-->';
					?>

				</section><!-- .recent-posts -->

				<!-- call gallery START-->
				<script>
					jQuery.noConflict(); 
				    /*Galleria.loadTheme('<?php $gallery_theme = get_template_directory_uri()."-child/galleria/themes/classic/galleria.classic.min.js"; echo $gallery_theme; ?>');*/
					jQuery('#gallery').galleria({
						dataSource: data,transition: 'fade', width:800, height:600
					});
				</script>
				<!-- call gallery END-->
				<!-- Start posts withouth thumbnails-->
					<?php 
						//get_template_part( 'content', get_post_format() );
						if(!$posts_no_thumb){
						}
						else{
							echo '<section class="recent-posts" >';
							echo '<h1 class="showcase-heading">'; php_e( 'Otros posts', 'twentyeleven' ); echo '</h1>';
							echo '<!-- no thumbnails--><ol class="other-recent-posts">';
							foreach ($posts_no_thumb as $apost){
								echo '<li>';echo $apost;echo '</li>';
							}
							echo '</ol>';
						}
						
					?>
				</section>
				<!-- End posts withouth thumbnails -->

				<div class="widget-area" role="complementary">
					<?php if ( ! dynamic_sidebar( 'sidebar-2' ) ) : ?>

						<?php
						the_widget( 'Twenty_Eleven_Ephemera_Widget', '', array( 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>' ) );
						?>

					<?php endif; // end sidebar widget area ?>
				</div><!-- .widget-area -->

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_footer(); ?>
